<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
<title></title>
<link href="css/admin.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" language="javascript" src="js/jquery.js"></script>
<script type="text/javascript" language="javascript">
<!--
RowCount = 0;
$(function(){
$.each( $('.table_content'),
function(){
$(this).bind('mouseover',function(){$(this).css('background-color','#d9e8fd');});
$(this).bind('mouseout',function(){$(this).css('background-color','#e6f2fe');});
}
);
$('#IsLink').bind('click',function(){ckeck_type()});
$('#IsLink2').bind('click',function(){ckeck_type()});
get_category(<!--Kw[$PID]-->);
ckeck_type();
<!--Kw[if $stype !='editok']-->
	AddRow();
<!--Kw[/if]-->
});
function get_category( id )
{
	$.get("get_category2.php","id="+id,function(data){$('#category').html(data)});
}

function simOptionClick4IE(){    
    var evt=window.event  ;    
    var selectObj=evt?evt.srcElement:null;    
    if (evt && selectObj &&  evt.offsetY && evt.button!=2    
        && (evt.offsetY > selectObj.offsetHeight || evt.offsetY<0 ) ) {    
            var oldIdx = selectObj.selectedIndex;    
   
            setTimeout(function(){    
                var option=selectObj.options[selectObj.selectedIndex];    
                get_category( selectObj.options.value )    
            }, 60);    
    }    
}    

function ckeck_type()
{
	if($('#IsLink').attr('checked')==false)
	{
		$('#link_area').hide();
	}
	else
	{
		$('#link_area').show();
	}
}
function SetEgname(obj)
{
	$.get("pinyin.php","char="+$(obj).val(),function(data){obj.parentNode.parentNode.childNodes.item(1).childNodes.item(0).value=data;});
}

function SetCategory(obj)
{
	obj.parentNode.parentNode.childNodes.item(2).childNodes.item(0).style.display="none";
}

function SetLink(obj)
{
	obj.parentNode.parentNode.childNodes.item(2).childNodes.item(0).style.display="block";
}

function AddRow()
{
	$('#SelectCategory').before('<tr class="table_content"><td><input name="Name[]" type="text" onkeyup="SetEgname(this)" size="30" /></td><td><input type="radio" name="IsInKu['+RowCount+']" value="0" />是<input type="radio" name="IsInKu['+RowCount+']" value="1" checked="checked" />否</td><td><input type="radio" name="IsLink['+RowCount+']" value="0" onclick="SetCategory(this)" checked="checked" />分类 <input type="radio" name="IsLink['+RowCount+']" value="1" onclick="SetLink(this)" />链接</td><td><input style="display:none" name="Link[]" type="text" size="30" /></td><td><input name="Order[]" type="text" size="6" maxlength="6" /></td></tr>');
	$.each( $('.table_content'),function(){
		$(this).bind('mouseover',function(){$(this).css('background-color','#d9e8fd');});
		$(this).bind('mouseout',function(){$(this).css('background-color','#e6f2fe');});
	});
	RowCount++;
}

-->
</script>
</head>

<body>
<table width="100%" border="0" cellspacing="0">
  <tr height="184">
    <td align="left" valign="top" class="table_bg"><div class="boxtitle"><!--Kw[$title]--></div>
      <form action="bat_category.php?type=<!--Kw[$stype]-->&id=<!--Kw[$id]-->" method="post" name="form1" id="form1">
        <table width="100%" border="0">
          <tr class="table_title">
            <td width="27%">分类名称</td>
            <td width="15%">加入酷站</td>
            <td width="15%">类型</td>
            <td width="24%">链接</td>
            <td width="7%">排序</td>
          </tr>
          <!--Kw[new name='i' value=0]-->
          <!--Kw[section name='c' loop=$category]-->
          <tr class="table_content">
            <td><input name="Name[]" type="text" onkeyup="SetEgname(this)" size="30" value="<!--Kw[$category[c].Name]-->" /></td>
            <td><input type="radio" name="IsInKu[<!--Kw[$i]-->]" value="1" <!--Kw[if $category[c].IsInKu==1]--> checked="checked"<!--Kw[/if]--> />
              是
              <input type="radio" name="IsInKu[<!--Kw[$i]-->]" value="0" <!--Kw[if $category[c].IsInKu==0]--> checked="checked"<!--Kw[/if]--> />
              否</td>
            <td><input type="radio" name="IsLink[<!--Kw[$i]-->]" value="0" onclick="SetCategory(this)" <!--Kw[if $category[c].IsLink==0]--> checked="checked"<!--Kw[/if]--> />
              分类
              <input type="radio" name="IsLink[<!--Kw[$i]-->]" value="1" onclick="SetLink(this)" <!--Kw[if $category[c].IsLink==1]--> checked="checked"<!--Kw[/if]--> />
              链接</td>
            <td>
            	<input <!--Kw[if $category[c].IsLink==0]-->style="display:none" <!--Kw[/if]-->name="Link[]" type="text" size="30" value="<!--Kw[$category[c].Link]-->" />
                <input type="hidden" name="ID[]" value="<!--Kw[$category[c].ID]-->" />
            </td>
            <td><input name="Order[]" type="text" size="6" maxlength="6" value="<!--Kw[$category[c].Order]-->" /></td>
          </tr>
          <!--Kw[new name='i' value=$i+1]-->
          <!--Kw[/section]-->
          <tr id="SelectCategory" class="table_content">
            <td colspan="3">选择分类：<span id="category"></span></td>
            <td colspan="2">
            	<span style="float:right" class="button" onclick="document.getElementById('form1').submit()">提交</span>
				<!--Kw[if $stype !='editok']--><span style="float:right" class="button" onclick="AddRow()">添加</span><!--Kw[/if]-->
            </td>
          </tr>
        </table>
    </form></td>
  </tr>
</table>
</body>
</html>
